# pandas.Series.swaplevel

`Series.``swaplevel`(i=-2, j=-1, copy=True)

  Swap levels i and j in a MultiIndex.

  Parameters:

  i, j : int, str (can be mixed)

  > Level of index to be swapped. Can pass level name as string.

  Returns:

  Series

  > Series with levels swapped in MultiIndex.

  Changed in version 0.18.1: The indexes `i` and `j` are now optional, and default to the two innermost levels of the index.

Scroll To Top